#ifndef PARTICLE_H
#define PARTICLE_H

//#include <TLorentzVector.h>
#include <TObject.h>

class Particle : public TObject
{
public:
    Particle(Int_t jtogPid, Int_t pid, Double_t px, Double_t py, Double_t pz, Double_t E = 0);
    virtual ~Particle();
    
    
    void setPid(Int_t pid) {fPid = pid;}
    Int_t getPid() {return fPid;}
    Int_t getJtogPid() {return fJtogPid;}
    
    
    
private:
    Int_t fPid;
    Int_t fJtogPid;
    Double_t fPx;
    Double_t fPy;
    Double_t fPz;
    Double_t fE;
    
    
    ClassDef(Particle, 1);
    
};


#endif
